curl --request GET \
--url https://api.kraken.com/funding/v2/deposit/addresses \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v2/deposit/addresses"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v2/deposit/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v2/deposit/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"addresses": [
{
"method_id": "27ede8db-804b-4d91-8e25-46b7b9668730",
"shares_addresses_with_method_id": "a001231f-488e-48c0-b36c-6e0d2c1ee247",
"address_details": {
"crypto": {
"address": "0x0d5cff23d40bcc6b98537c7ad5a839a247f546..."
}
}
}
]
}List Funding Claimed Addresses (v2)
Retrieve claimed deposit addresses. Results are paginated; use the cursor parameter to iterate through the list of addresses (page size equal to the value of limit).
API Key Permissions Required: Funds permissions - Query
curl --request GET \
--url https://api.kraken.com/funding/v2/deposit/addresses \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v2/deposit/addresses"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v2/deposit/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v2/deposit/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"addresses": [
{
"method_id": "27ede8db-804b-4d91-8e25-46b7b9668730",
"shares_addresses_with_method_id": "a001231f-488e-48c0-b36c-6e0d2c1ee247",
"address_details": {
"crypto": {
"address": "0x0d5cff23d40bcc6b98537c7ad5a839a247f546..."
}
}
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.
Query Parameters
Optional filter by method or network. Claimed deposit addresses are not saved against a scope; this filters the list to claimed addresses for funding methods within the selected scope. Prefer method_id as the recommended filter.
- method_id
- network_id
Show child attributes
Show child attributes
Cursor from a previous response used to retrieve the next page. Do not provide other request parameters with a cursor.
1Maximum number of claimed deposit addresses to return.
0 < x <= 500Optional filter by asset. When this parameter is provided, class is required; name is optional.
Show child attributes
Show child attributes
Account ID
Was this page helpful?